# Uses of Interface
java.net.DatagramSocketImplFactory

Packages that use DatagramSocketImplFactory
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of DatagramSocketImplFactory in java.net

Methods in java.net with parameters of type DatagramSocketImplFactory
Modifier and Type
Method
Description
`static void`
DatagramSocket.`setDatagramSocketImplFactory(DatagramSocketImplFactory fac)`
Deprecated.
Use `DatagramChannel`, or subclass `DatagramSocket` directly.